﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Jypeli;
using Jypeli.Assets;

class EvilMouse : PlatformCharacter
{
    static Image mouseImage;
    static Image mouseLeftImage;

    public EvilMouse( double width, double height )
        : base(width, height)
    {
        if ( mouseImage == null )
        {
            mouseImage = Game.LoadImage( "mouse\\mouse" );
            mouseLeftImage = Image.Mirror( mouseImage );
        }

        LeftWalkingAnimation = mouseLeftImage;
        RightWalkingAnimation = mouseImage;

        //RandomMoverBrain brain = new RandomMoverBrain( 100 );
        //brain.ChangeMovementSeconds = 3.0;
        TagFollowerBrain brain = new TagFollowerBrain( "norsu", 100 );
        brain.WanderIfNotClose = true;
        brain.TargetFollowDistance = 100;
        brain.WanderChangeMovementSeconds = 3.0;
        Brain = brain;
    }
}
