﻿using System;
using Jypeli;
using Jypeli.Widgets;
using Jypeli.Assets;
using Jypeli.Effects;
using System.Collections.Generic;

public class $safeitemname$ : Brain
{
    // Olion attribuutit eli sen sisäiset muuttujat tulevat tähän
    Timer liikeAjastin;

    // Olion ominaisuudet, eli ulospäin näkyvät muuttujat tulevat tähän.

    public $safeitemname$()
        : base()
    {
        // Kirjoita tähän, mitä tehdään kun aivot on luotu
        // Huomaa, että muuttujaa Owner ei ole vielä asetettu,
        // toisin sanoen aivot eivät ole vielä kenenkään "päässä"!
    }

    // Metodit eli luokan aliohjelmat tulevat tänne.

    protected override void OnAddToGame()
    {
        // Kirjoita tähän, mitä tehdään kun aivot on lisätty omistajalle
        // ja omistaja on lisätty peliin

        // Tehdään ajastin, joka liikuttaa oliota 0.01 sekunnin välein
        // Voit lisätä tänne ajastimia myös muille toiminnoille
        liikeAjastin = new Timer();
        liikeAjastin.Interval = 0.01;
        liikeAjastin.Timeout += liikutaOliota;
        liikeAjastin.Start();

        base.OnAddToGame();
    }

    protected override void OnRemove( GameObject prevOwner )
    {
        // Kirjoita tähän, mitä tehdään kun aivot poistetaan omistajalta

        // Pysäytetään liikeajastin
        liikeAjastin.Stop();

        base.OnRemove( prevOwner );
    }

    void liikutaOliota()
    {
        // Tarkistus että aivoilla on omistaja
        if ( Owner == null )
            return;

        // Esimerkki: olio liikkuu oikealle
        Owner.Move( new Vector( 50, 0 ) );
    }

    public override void OnCollision( GameObject target )
    {
        // Kirjoita tähän, mitä tapahtuu kun tulee törmäys
        // Törmääjien nimet ovat Owner (aivojen omistaja) ja target (mihin törmätään)

        base.OnCollision( target );
    }
}
