﻿using System;
using System.Collections.Generic;
using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Effects;
using Jypeli.Widgets;
using Jypeli.SimplePhysics;

public class Peli : SimplePhysicsGame
{
    public override void Begin()
    {
        Level.BackgroundColor = Color.DarkGreen;
        LuoReunat();
        LuoPallot();
    }

    private void LuoPallot()
    {
        for ( int i = 0; i < 10; i++ )
        {
            SimplePhysicsObject pallo = new SimplePhysicsObject( 50, 50 );
            pallo.X = RandomGen.NextDouble( Level.Left + 80, Level.Right - 80 );
            pallo.Y = RandomGen.NextDouble( Level.Bottom + 80, Level.Top - 80 );
            Add( pallo );

            double vx = RandomGen.NextDouble( -2000, 2000 );
            double vy = RandomGen.NextDouble( -2000, 2000 );
            pallo.ApplyImpulse( new ConstantImpulse( new Vector( vx, vy ), 0.5 ) );
        }

        //SimplePhysicsObject pallo = new SimplePhysicsObject( 50, 50 );
        //Add( pallo );
        //pallo.ApplyImpulse( new ConstantImpulse( new Vector( 200, 50 ), 2.0 ) );
    }

    private void LuoReunat()
    {
        SimplePhysicsObject ylareuna = new SimplePhysicsObject( Level.Width, 60 );
        ylareuna.Color = Color.LightGray;
        ylareuna.Top = Level.Top;
        ylareuna.Mass = double.PositiveInfinity;
        Add( ylareuna );

        SimplePhysicsObject alareuna = new SimplePhysicsObject( Level.Width, 60 );
        alareuna.Color = Color.LightGray;
        alareuna.Bottom = Level.Bottom;
        alareuna.Mass = double.PositiveInfinity;
        Add( alareuna );

        SimplePhysicsObject vasenreuna = new SimplePhysicsObject( 60, Level.Height );
        vasenreuna.Color = Color.LightGray;
        vasenreuna.Left = Level.Left;
        vasenreuna.Mass = double.PositiveInfinity;
        Add( vasenreuna );

        SimplePhysicsObject oikeareuna = new SimplePhysicsObject( 60, Level.Height );
        oikeareuna.Color = Color.LightGray;
        oikeareuna.Right = Level.Right;
        oikeareuna.Mass = double.PositiveInfinity;
        Add( oikeareuna );
    }
}
