#region MIT License
/*
 * Copyright (c) 2009 University of Jyvskyl, Department of Mathematical
 * Information Technology.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
#endregion

/*
 * Authors: Tero Jntti, Tomi Karppinen, Janne Nikkanen.
 */

using Microsoft.Xna.Framework.Input;

namespace Jypeli
{
    /// <summary>
    /// Nppimistn nppin.
    /// </summary>
    public enum Key
    {
        None = Keys.None,
        Back = Keys.Back,
        Tab = Keys.Tab,
        Enter = Keys.Enter,
        Pause = Keys.Pause,
        CapsLock = Keys.CapsLock,
        Escape = Keys.Escape,
        Space = Keys.Space,
        PageUp = Keys.PageUp,
        PageDown = Keys.PageDown,
        End = Keys.End,
        Home = Keys.Home,
        Left = Keys.Left,
        Up = Keys.Up,
        Right = Keys.Right,
        Down = Keys.Down,
        PrintScreen = Keys.PrintScreen,
        Insert = Keys.Insert,
        Delete = Keys.Delete,
        D0 = Keys.D0,
        D1 = Keys.D1,
        D2 = Keys.D2,
        D3 = Keys.D3,
        D4 = Keys.D4,
        D5 = Keys.D5,
        D6 = Keys.D6,
        D7 = Keys.D7,
        D8 = Keys.D8,
        D9 = Keys.D9,
        A = Keys.A,
        B = Keys.B,
        C = Keys.C,
        D = Keys.D,
        E = Keys.E,
        F = Keys.F,
        G = Keys.G,
        H = Keys.H,
        I = Keys.I,
        J = Keys.J,
        K = Keys.K,
        L = Keys.L,
        M = Keys.M,
        N = Keys.N,
        O = Keys.O,
        P = Keys.P,
        Q = Keys.Q,
        R = Keys.R,
        S = Keys.S,
        T = Keys.T,
        U = Keys.U,
        V = Keys.V,
        W = Keys.W,
        X = Keys.X,
        Y = Keys.Y,
        Z = Keys.Z,
        NumPad0 = Keys.NumPad0,
        NumPad1 = Keys.NumPad1,
        NumPad2 = Keys.NumPad2,
        NumPad3 = Keys.NumPad3,
        NumPad4 = Keys.NumPad4,
        NumPad5 = Keys.NumPad5,
        NumPad6 = Keys.NumPad6,
        NumPad7 = Keys.NumPad7,
        NumPad8 = Keys.NumPad8,
        NumPad9 = Keys.NumPad9,
        Multiply = Keys.Multiply,
        Add = Keys.Add,
        Separator = Keys.Separator,
        Subtract = Keys.Subtract,
        Decimal = Keys.Decimal,
        Divide = Keys.Divide,
        F1 = Keys.F1,
        F2 = Keys.F2,
        F3 = Keys.F3,
        F4 = Keys.F4,
        F5 = Keys.F5,
        F6 = Keys.F6,
        F7 = Keys.F7,
        F8 = Keys.F8,
        F9 = Keys.F9,
        F10 = Keys.F10,
        F11 = Keys.F11,
        F12 = Keys.F12,
        F13 = Keys.F13,
        F14 = Keys.F14,
        F15 = Keys.F15,
        F16 = Keys.F16,
        F17 = Keys.F17,
        F18 = Keys.F18,
        F19 = Keys.F19,
        F20 = Keys.F20,
        F21 = Keys.F21,
        F22 = Keys.F22,
        F23 = Keys.F23,
        F24 = Keys.F24,
        NumLock = Keys.NumLock,
        Scroll = Keys.Scroll,
        LeftShift = Keys.LeftShift,
        RightShift = Keys.RightShift,
        LeftControl = Keys.LeftControl,
        RightControl = Keys.RightControl,
        LeftAlt = Keys.LeftAlt,
        RightAlt = Keys.RightAlt,
        OemTilde = Keys.OemTilde,
        OemQuotes = Keys.OemQuotes,
        Aring = Keys.OemCloseBrackets,
        OemPlus = Keys.OemPlus,
        LessOrGreater = Keys.OemBackslash
    }
}
