@echo off

net use N: /delete 2>NUL
net use N: \\eppu.it.jyu.fi\mnt "" /u:""
if errorlevel 1 (
  echo ERROR: Verkkolevy \\eppu.it.jyu.fi\mnt hukassa
  goto error
)

set svn=N:\bin\svn\svn.exe

if not exist %svn% (
  echo ERROR: svn hukassa!
  goto error
)

call %svn% update
if errorlevel 1 goto error

call %svn% add * --force
if errorlevel 1 goto error

call %svn% commit -m "Talletus."
if errorlevel 1 goto error

color 27
echo.
echo VALMIS!
echo.
goto finish


:error
color 47
goto finish


:finish
pause
