﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Jypeli;
using Jypeli.Controls;

public class Peli : Game
{
    Image[] images = LoadImages("alus1_kaasuttaa", "asteroidi", "galaksi", "plasma", "plasma2", "plasma3", "special");

    public override void Begin()
    {
        for (int i = MinLayer; i <= MaxLayer; i++)
        {
            //GetLayer(i).DrawOrder = DrawOrder.FirstToLast;
        }

        Keyboard.Listen(Key.Escape, ButtonState.Pressed, Exit, null);
        Keyboard.Listen(Key.Enter, ButtonState.Pressed, ClearGameObjects, null);
        Keyboard.Listen(Key.Space, ButtonState.Pressed, LisaaOlioita, null);
    }

    void LisaaOlioita()
    {
        LisaaOlio();
    }

    void LisaaOlio()
    {
        for (int i = 0; i < 100; i++)
        {
            double width = RandomGen.NextDouble(5, 20);
            double height = RandomGen.NextDouble(5, 20);
            GameObject o;

            if (RandomGen.NextBool())
            {
                Shape shape = Shape.Rectangle;
                if (RandomGen.NextBool())
                    shape = Shape.Triangle;
                o = new GameObject(width, height, shape);
                o.Color = RandomGen.NextColor();
            }
            else
            {
                o = new GameObject(10, 10);
                o.Image = images[RandomGen.NextInt(images.Length)];
            }

            o.X = RandomGen.NextDouble(Level.Left, Level.Right);
            o.Y = RandomGen.NextDouble(Level.Bottom, Level.Top);

            int layer = 0;
            if (RandomGen.NextInt(10) < 5)
            {
                layer = RandomGen.NextInt(Game.MinLayer, Game.MaxLayer + 1);
            }
            Add(o, layer);
        }
    }
}
